Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036619
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2017-08-07 14:482017-09-21 16:49
ReporteravicenteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision31583e78ae29
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036619: [SER-QA 3115] Process Generate Invoices is not working with high volumenes

DescriptionProcess Generate Invoices is not working with high volumenes due to the use of a selector of type TABLEDIR in the order filter.
Steps To ReproduceIn an environment with high volumenes of sales orders no invoiced, open the generate invoices process. See image https://drive.google.com/file/d/0B4IzHr_vkCyTWHNwNG1JOE1JMEk/view [^]
Proposed SolutionChange the selector type for orders.
TagsSER-QA
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098458)
hgbot (developer)
2017-08-09 15:22

Repository: erp/devel/pi
Changeset: 31583e78ae29423e39d2ab5294a593c6ee10b20a
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Aug 09 11:02:37 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/31583e78ae29423e39d2ab5294a593c6ee10b20a [^]

Fixes issue 36619: Process Generate Invoices is not working with high volumes

* Defined and used OBUI Selector Reference based reference for Sales Order parameter in Generate Invoice process.
* Implemented HQL where clause in the selector based on the validation C_Order SO to be invoiced.

---
M src-db/database/sourcedata/AD_PROCESS_PARA.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
---
(0098459)
aferraz (developer)
2017-08-09 15:23

Code review + Testing OK
(0099302)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-07 14:48 avicente New Issue
2017-08-07 14:48 avicente Assigned To => Triage Finance
2017-08-07 14:48 avicente Modules => Core
2017-08-07 14:48 avicente Triggers an Emergency Pack => No
2017-08-07 14:48 avicente Tag Attached: SER-QA
2017-08-08 09:19 aferraz Assigned To Triage Finance => AtulOpenbravo
2017-08-09 07:06 AtulOpenbravo Status new => scheduled
2017-08-09 15:22 hgbot Checkin
2017-08-09 15:22 hgbot Note Added: 0098458
2017-08-09 15:22 hgbot Status scheduled => resolved
2017-08-09 15:22 hgbot Resolution open => fixed
2017-08-09 15:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/31583e78ae29423e39d2ab5294a593c6ee10b20a [^]
2017-08-09 15:23 aferraz Review Assigned To => aferraz
2017-08-09 15:23 aferraz Note Added: 0098459
2017-08-09 15:23 aferraz Status resolved => closed
2017-08-09 15:23 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099302


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker